For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

Token price OHLCV

New
get

https://pro-api.solscan.io/v2.0/token/price-ohlcv

Get token price OHLCV (Open, High, Low, Close, Volume) data. Note: - Data is sorted asc by time field. - Time field format: yyyyMMddHHmm. - Need to pass cursor to get next page data (The cursor for pagination, which can be obtained from the response of previous page). - Data is available from 2026-01-01.

QUERY PARAMS

address

string

required

Token address to fetch OHLCV data for.

from_time

number

Unix timestamp specifying the start time. Filter for OHLCV data from this time onwards.

to_time

number

Unix timestamp specifying the end time. Filter for OHLCV data up to this time.

res

string

Resolution or interval of the OHLCV data candles.

pool_id

string

Pool address of the token. Specify to get data for a specific pool.

candles

number

Number of candles returned in the response.

cursor

number

Pagination cursor from a previous response to fetch the next set of data.

currency

string

Currency denomination. By USD or quote token (when used with pool_id).

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

time

number

Unix timestamp of the OHLCV candle

volume

number

Trading volume during the interval

high_price

number

Highest price during the interval

low_price

number

Lowest price during the interval

close_price

number

Closing price at the end of the interval

open_price

number

Opening price at the start of the interval

candles

number

Number of candles returned

currency

string

Currency denomination

res

string

Resolution of the OHLCV data

cursor

number

Pagination cursor for the next page

metadata

object

Additional metadata

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples